<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    <title>Evernote</title>
</head>
<body>
<section id="app">
    <form action="">
        <div>
            <label for=''>Title</label>
            <input type='text' v-model='form.title'>
        </div>
        <div>
            <label for=''>Content</label>
            <input type='text' v-model='form.content'>
        </div>

        <input type="submit" @click.prevent="submitForm">
    </form>

    <div>
        <h4>
            JSON
        </h4>
        <pre><code>{{form}}</code></pre>
    </div>

    <div>
        <h4>Notas</h4>
        <ul>
            <li v-for="note in notes">{{ note.title }}</li>
        </ul>
    </div>


</section>


<script src="https://cdn.jsdelivr.net/npm/vue"></script>
<script>
    var API_KEY = 'api1428';

    new Vue({
        el: '#app',
        data: {
            form: {
                title: '',
                content: ''
            },
            notes: []
        },
        created() {
            this.listNotes();
        },
        methods: {
            submitForm() {
                var form_data = new FormData();
                var _this = this;
                for (const key in this.form) {
                    form_data.append(key, this.form[key]);
                }

                fetch('http://localhost:8000/api/notes/new/', {
                    method: 'POST',
                    headers: {
                        'x-api-key': API_KEY
                    },
                    body: form_data
                })
                    .then(function (response) {
                        return response.json();
                    })
                    .then(function (jsonResponse) {
                        console.log(jsonResponse);
                        _this.listNotes();
                    })
            },
            listNotes() {
                var _this = this;
                fetch('http://localhost:8000/api/notes/list/', {
                    method: 'GET',
                    headers: {
                        'x-api-key': API_KEY
                    }
                })
                    .then(function (response) {
                        return response.json();
                    })
                    .then(function (jsonResponse) {
                        _this.notes = jsonResponse['data'];
                    })
            }
        }
    })
</script>
</body>